Allowed resource ids

Allowed Resource Ids Endpoint

get

Endpoint to get allowed resource IDs.

Args: user_id: ID of the user for which to get the allowed resource ids. resource: The resource for which to get the IDs. action: The action for which to get the IDs. auth_context: The authentication context. rbac: RBAC component. db: DB session.

Raises: IllegalOperationError: If the user is not an internal user.

Returns: A dictionary containing the allowed IDs and a boolean which specifies whether the user has full access to the resource.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
user_idstring · uuidRequired
resourcestringRequired
actionstringRequired
Responses
chevron-right
200

Successful Response

application/json
Other propertiesanyOptional
get
/rbac/allowed_resource_ids

Last updated

Was this helpful?